package com.bonus.material.toolLedger.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.toolLedger.domain.ToolLedgerAllEntity;
import com.bonus.material.toolLedger.domain.ToolLedgerEntity;

import java.util.List;

public interface ToolLedgerService {
    /**
     * 工具台账表格
     *
     * @param entity 实体
     * @return 表格
     */
    List<ToolLedgerAllEntity> list(ToolLedgerAllEntity entity);


    /**
     * 工具台账表格
     *
     * @param entity 实体
     * @return 表格
     */
    List<ToolLedgerEntity> listCode(ToolLedgerEntity entity);


    AjaxResult updateById(ToolLedgerEntity entity);

    List<ToolLedgerEntity> getToolByTypeId(ToolLedgerEntity entity);


    List<ToolLedgerEntity> getToolByPro(ToolLedgerEntity entity);

    List<ToolLedgerEntity> getToolByOrder(ToolLedgerEntity entity);
}
